[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBarEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements an enumerator for the buttons defined on a tool bar.

## Declaration

Source position: comctrls.pp line 2241

`type TToolBarEnumerator = class`
`public`
`constructor Create();` |  | Constructor for the class instance.
`function MoveNext;` |  | Moves to the internal position to the next button instance for the enumerator.
`property Current: TToolButton; [r]` |  | Current tool button instance for the enumerator.
`end;`

## Inheritance

`TToolBarEnumerator` |  | Implements an enumerator for the buttons defined on a tool bar.
`TObject`